package com.gyee.wisdom.dao.sql.control.repository;

import com.gyee.wisdom.dao.sql.control.entity.ControlLogEntity;
import com.gyee.wisdom.dao.sql.control.entity.GycpCmdInfoEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * @author:Wanghs
 * @date:2019-09-10
 */
@Repository
public interface ControlLogRepository extends JpaRepository<ControlLogEntity, String>, JpaSpecificationExecutor {

    List<ControlLogEntity>  getByStationId(String stationId);

    List<ControlLogEntity>  getByWindturbineId(String windturbineId);

    List<ControlLogEntity>  getByType(int controlType);

    List<ControlLogEntity>  getByTimeBetween(Date startTime,Date endTime);

    List<ControlLogEntity>  getByStationIdAndWindturbineId(String stationId,String windturbineId);

    List<ControlLogEntity>  getByStationIdAndWindturbineIdAndTimeBetween(String stationId,String windturbineId,Date startTime,Date time);


}
